
;(function(){

	var keySave = "admobConsentState";
	var consentIsActive = parseInt("1") || 0;
	var currentConsent = "NONE";

	document.addEventListener('deviceready', async () => {
		if(!consentIsActive){
			setTimeout(launchPrepareAds,100);
			return;
		}
		if (cordova.platformId === 'ios') {
			const status = await consent.trackingAuthorizationStatus();
			const statusNew = await consent.requestTrackingAuthorization();
		}
		
		const consentStatus = await consent.getConsentStatus();

		if (consentStatus === consent.ConsentStatus.Required || consentStatus === consent.ConsentStatus.Unknown) {
			askConsentDecision();
		}else{
			launchPrepareAds();
		}
	}, false)

	async function askConsentDecision(){
		await consent.requestInfoUpdate();
		const formStatus = await consent.getFormStatus();

		if (formStatus === consent.FormStatus.Available) {
			const form = await consent.loadForm();
			form.show().then(async ()=>{const consentStatus = await consent.getConsentStatus();checkReturnConsent(consentStatus)});
		}else{
			launchPrepareAds();
		}
	}


	window.askForChangeConsentDecision = function(){
		askConsentDecision();
	}

	function checkReturnConsent(newConsent){
		console.log("User consent:", consent.ConsentStatus[newConsent]);
		autoSet(keySave,newConsent);
	
		if(currentConsent != newConsent){
			launchPrepareAds();
		}
		currentConsent = newConsent;
	}

	function launchPrepareAds(){
		console.log("FIRE PREPARE ADS >>> ads can now be prepared !!");
		eventToFire.fireEvent("prepareAds");
	}
})();
